Boomi Platform API Reference (1.0.0) - PackagedComponentManifest
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Use the Packaged Component Manifest object to retrieve a list of the included components and their summary metadata for a single version of a packaged component.
The Packaged Component Manifest object resembles how a user accesses the Packaged Component Details panel in the user interface to view all included components within a package. You can use this object in combination with other Component objects. For example, you can query the Packaged Components object to find a record of interest such as those matching a specific version name, and then employ the Packaged Component Manifest object to get all the included components for each result.
Retrieves an instance of a PackagedComponentManifest object
Retrieve a list of the included components and their summary metadata for a single version of a packaged component.
Authorizations:
path Parameters
| packageId required | string The ID of the packaged component. |
Responses
Response Schema:
| packageId required | string The ID of the packaged component. |
Array of objects (ComponentInfo) |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "PackagedComponent",
- "packageId": "e8dbc278-e970-49e5-84bd-af39d7d38140",
- "packageVersion": "2.0",
- "componentId": "66d665d1-3ec7-479c-9e24-8df3fa728cf8",
- "componentVersion": "2.0",
- "componentType": "process",
- "createdDate": "2017-03-16T13:34:01Z",
- "createdBy": "user@boomi.com",
- "notes": "Created for component publication with GUID f7f6ddb6-9437-4a90-9655-f01970068ca8 and version 2.",
- "shareable": true,
- "deleted": false
}Retrieves multiple PackagedComponentManifest objects by identifier
To learn more about bulk, refer to the topic Bulk GET operations.
Authorizations:
Request Body schema: optional
Array of objects (BulkId) | |
| type | string Enum: "GET" "DELETE" "UPDATE" "CREATE" |
Responses
Response Schema:
Array of objects | |||||||||||
Array
| |||||||||||
Request samples
- Payload
{- "request": [
- {
- "id": "56789abc-def0-1234-5678-9abcdef01234"
}
], - "type": "GET"
}Response samples
- 200
- 403
- 410
- 503
{- "response": [
- {
- "Result": {
- "componentInfo": [
- {
- "id": "456789a-bcde-f0123-4567-89abcdef012",
- "version": "1"
}, - {
- "id": "765a432-12ab-0e98-7a66-54d53bf321f87"
}
], - "packageId": "123a45e6-789e-1f23-a45d-a6789daebbd9"
}, - "index": 0,
- "id": "string",
- "statusCode": 0,
- "errorMessage": "string"
}
]
}